package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class ShbzkBjDTO implements java.io.Serializable {

    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(value = "办件流水号")
    @NotBlank(message = "办件流水号不能为空")
    private String rsWbBjLsh;
    
    @ApiModelProperty(value = "申请类型1查询2申办3补换卡4修改5挂失6解挂7激活启用")
    @NotBlank(message = "申请类型不能为空")
    private String sqlx;
    
    @ApiModelProperty(value = "所属城市")
	private String sscs = "440800";
	
	@ApiModelProperty(value = "社会保障号")
	private String shbzh;
	
	@ApiModelProperty(value = "社保卡号")
	private String sbkh;
	
	@ApiModelProperty(value = "姓名")
	private String xm;

	@ApiModelProperty(value = "数据来源")
	private String sjly;

	public String getRsWbBjLsh() {
		return rsWbBjLsh;
	}

	public void setRsWbBjLsh(String rsWbBjLsh) {
		this.rsWbBjLsh = rsWbBjLsh;
	}

	public String getSqlx() {
		return sqlx;
	}

	public void setSqlx(String sqlx) {
		this.sqlx = sqlx;
	}

	public String getSscs() {
		return sscs;
	}

	public void setSscs(String sscs) {
		this.sscs = sscs;
	}

	public String getShbzh() {
		return shbzh;
	}

	public void setShbzh(String shbzh) {
		this.shbzh = shbzh;
	}

	public String getSbkh() {
		return sbkh;
	}

	public void setSbkh(String sbkh) {
		this.sbkh = sbkh;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getSjly() {
		return sjly;
	}

	public void setSjly(String sjly) {
		this.sjly = sjly;
	}
}

